﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.ProductOrderDto>
@{
    ViewBag.Title = "Matching List";
}
<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">매칭중인회원/รายการสถานะจับคู่</h5>
                    </div>
                </div>
                <div class="card-body xp-alert">
                    <div class="alert alert-light" role="alert">
                        @using (Html.BeginForm("", "MatchingList", FormMethod.Post))
                        {
                            <div class="xp-alert">
                                <div class="row justify-content-center">
                                    <div class="col-8">
                                        <div class="form-row">
                                            <div class="col-auto">
                                                <div class="input-group mb-2">
                                                    @Html.TextBox("keyword", ViewBag.CurrentFilter as string, new { @class = "form-control border bg-white", @placeholder= "판매자ID" })
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <button type="submit" class="btn btn-info mb-2"><i class="icon-magnifier mr-2"></i>Search</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        }
                    </div>
                </div>
                <div class="card-body table-responsive" style="margin-top:-30px;">
                    <div style="min-width:1366px;max-width:100%; margin:auto;">
                        @using (Html.BeginForm("ExportToExcel", "MemberList", FormMethod.Post))
                        {
                            <div class="align-middle">
                                <span class="badge badge-primary badge-pill">전체 @ViewBag.Count 건 </span>
                            </div>
                            <div class="table-responsive m-b-30 mt-2">
                                <table class="table table-bordered">
                                    <thead class="thead-dark">
                                        <tr class="text-center">
                                            <th class="align-middle" style="width:80px;">No.</th>
                                            <th class="align-middle">상품번호</th>
                                            <th class="align-middle" style="width:150px;">구매자ID</th>
                                            <th class="align-middle" style="width:200px;">구매자</th>
                                            <th class="align-middle" style="width:200px;">판매자ID</th>
                                            <th class="align-middle" style="width:200px;">판매자</th>
                                            <th class="align-middle" style="width:90px;">상품</th>
                                            <th class="align-middle" style="width:90px;">Amount</th>
                                            <th class="align-middle" style="width:100px;">가격</th>
                                            <th class="align-middle" style="width:100px;">수수료</th>
                                            <th class="align-middle" style="width:200px;">생성일</th>
                                            <th class="align-middle" style="width:200px;">상태</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @if (Model != null && Model.Count() != 0)
                                        {
                                            foreach (var item in Model)
                                            {

                                                <tr class="text-center">
                                                    <td> @Html.DisplayFor(modelItem => item.num)</td>
                                                    <td class="text-left">
                                                        @Html.DisplayFor(modelItem => item.code)
                                                    </td>
                                                    <td> @Html.DisplayFor(modelItem => item.username_buy)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.fullname_buy)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.username_sale)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.fullname_sale)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.product_name)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.amount)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.price_interest)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.fee)</td>
                                                    <td> @Html.DisplayFor(modelItem => item.create_date)</td>
                                                    <td>
                                                        @*@Html.DisplayFor(modelItem => item.status)*@
                                                        @Html.DropDownListFor(modelItem => item.status, new SelectList(ViewBag.Status, "Value", "Text", item.status), new { @class = "form-control border bg-white", @onchange = "updatedata(this.value," + item.id + ")" })
                                                    </td>


                                                </tr>
                                            }
                                        }
                                        else
                                        {
                                            <tr class="text-center">
                                                <td colspan="12">
                                                    No Data !!
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                                @{
                                    if (Convert.ToInt32(ViewBag.Count) > ViewBag.Rows)
                                    {
                                        <div class="justify-content-center row">

                                            @Html.PagedListPager(Model, Page => Url.Action("Index", "MatchingList", new { Page }))

                                        </div>
                                    }
                                }
                            </div>
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(function () {
        $("#liMatch").addClass("active");
        $("#meMatching").addClass("active");


    });
    function del(id) {
        var r = confirm("1구좌 추가생성하시겠습니까??");
        if (r == true) {
            $.ajax({
                type: "POST",
                url: "/PopupList/Delete",
                data: "{'id':'" + id + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    alert(msg);
                    location.reload();
                }
            });
        }
    }
    function updatedata(val, id) {
        $.ajax({
            type: "POST",
            url: "/MatchingList/updatedata",
            data: "{'status ':" + val + ",'id':" + id + "}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (msg) {
                alert(msg);
                location.reload();
                //location.href = "/Main";
            }
        });
    }
</script>

